> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nocotax.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Pagination

> Cursor-based pagination of list endpoints.

All top-level API resources have support for bulk fetches "list" API methods. For instance, you can list organizations or list invoices.

We use cursor-based pagination using the parameter `after`. Pass the `after` parameter with the last object ID of the previous page to determine where to start in the list.

Reverse pagination is possible as well thanks to the `before` parameter.

## Attributes

| Attribute | Type |
| - | - |
| `limit` | integer, optional. A limit on the number of objects to be returned. Must be between 1 and 100. |
| `after` | string, optional. A cursor for use in pagination. `after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `after=obj_foo` in order to fetch the next page of the list. |
| `before` | string, optional. A cursor for use in pagination. `before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `before=obj_bar` in order to fetch the previous page of the list. |

## List response format

| Attribute | Type |
| - | - |
| `object` | string, value is `list` |
| `data` | array. The actual response elements, paginated by any request parameters. |
| `has_before` | boolean. Whether or not there are more elements available before this page. If `false`, this page is the beginning of the list. |
| `has_more` | boolean. Whether or not there are more elements available after this page. If `false`, this page is the end of the list. |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.